changeset 1532:9b59deb4a854

Update these so they work in Docker
author Chris Cannam
date Wed, 11 Jan 2017 14:20:38 +0000
parents 171a85da29c9
children 6e99c789fab1
files deploy/linux/deploy-deb.sh deploy/linux/fix-lintian-bits.sh
diffstat 2 files changed, 11 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/deploy/linux/deploy-deb.sh	Wed Jan 11 09:44:03 2017 +0000
+++ b/deploy/linux/deploy-deb.sh	Wed Jan 11 14:20:38 2017 +0000
@@ -1,6 +1,6 @@
 #!/bin/bash
 # 
-# Run this from the build root
+# Run this from the build root (with sudo, I think)
 
 usage() {
     echo
@@ -20,7 +20,11 @@
     usage
 fi
 
+set -eu
+
 program=sonic-visualiser
+checker=vamp-plugin-load-checker
+piper=piper-vamp-simple-server
 depdir=deploy/linux
 
 targetdir="${program}_${version}_${arch}"
@@ -38,7 +42,7 @@
 
 mkdir -p "$targetdir"/usr/bin "$targetdir"/usr/share/pixmaps
 
-cp "$program" "$targetdir"/usr/bin/
+cp "$program" "$checker" "$piper" "$targetdir"/usr/bin/
 
 cp icons/sv-icon*.svg "$targetdir"/usr/share/pixmaps/
 cp "$program".desktop "$targetdir"/usr/share/applications/
@@ -56,5 +60,5 @@
 
 bash "$depdir"/fix-lintian-bits.sh "$targetdir"
 
-sudo dpkg-deb --build "$targetdir" && lintian "$targetdir".deb
+dpkg-deb --build "$targetdir" && lintian "$targetdir".deb
 
--- a/deploy/linux/fix-lintian-bits.sh	Wed Jan 11 09:44:03 2017 +0000
+++ b/deploy/linux/fix-lintian-bits.sh	Wed Jan 11 14:20:38 2017 +0000
@@ -4,6 +4,8 @@
 
 [ -d "$dir" ] || exit 1
 
+set -eu
+
 strip "$dir"/usr/bin/*
 
 sz=`du -sx --exclude DEBIAN "$dir" | awk '{ print $1; }'`
@@ -11,6 +13,6 @@
 
 find "$dir" -name \*~ -exec rm \{\} \;
 
-sudo chown -R root.root "$dir"/*
+chown -R root.root "$dir"/*
 
-sudo chmod -R g-w "$dir"/*
+chmod -R g-w "$dir"/*